Subject: bug#25170: 26.0.50; emacs crashes on using tramp

From: [email-masked]
Date: Sun, 11 Dec 2016 13:21:48 +0100

At first, i have to say that i'm sorry that I dont use the proper report-emacs-bug system, but I didn't succeed doing that.
It's really not easy to use this emacs bug-reporting system, and if you want everybody to be able to report bugs, the system should be simpler!
Anyways, here is the Bug report, if I follow this, emacs crashes every time.
I use arch linux x86-64
If i start 'emacs -Q'
after 'C-x C-f' (find-file) and entering '/ssh:'
in the moment I type the colon, emacs crashes with the backtrace:
Fatal error 11: Segmentation fault
Backtrace:
emacs[0x493d25]
emacs[0x530a17]
emacs[0x48931e]
emacs[0x44ba43]
/usr/lib/libpthread.so.0(+0x11080)[0x7f57f777f080]
emacs[0x48e740]
emacs[0x47a9a2]
emacs[0x4c1935]
emacs[0x47a4d2]
emacs[0x47a90b]
emacs[0x47aba9]
emacs[0x46d5cd]
emacs[0x476551]
emacs[0x47a9a2]
emacs[0x4c1935]
emacs[0x47a4d2]
emacs[0x47a90b]
emacs[0x47ab98]
emacs[0x4475d8]
emacs[0x525ffb]
emacs[0x46d5cd]
emacs[0x52b151]
emacs[0x52f4d7]
emacs[0x479842]
emacs[0x5263c4]
emacs[0x4798eb]
emacs[0x530630]
emacs[0x530726]
emacs[0x5060e8]
emacs[0x5069af]
emacs[0x47bc31]
emacs[0x47a9a2]
emacs[0x4c1935]
emacs[0x47a90b]
emacs[0x4f9a10]
emacs[0x47bc31]
emacs[0x47a9a2]
emacs[0x4c1935]
emacs[0x47a90b]
emacs[0x4c1935]
emacs[0x47a90b]

if you need more informations, give me instructions what to do.

In GNU Emacs 26.0.50.22 (x86_64-unknown-linux-gnu, GTK+ Version 3.22.5)
 of 2016-12-11 built on desktop
Repository revision: 2335b9100b47074a37079fb2c3608505eeac96b7
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-sound=alsa --with-xft --with-modules --with-x-toolkit=gtk3
 --without-gconf --with-gsettings --enable-link-time-optimization
 --with-xwidgets 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe
 -fstack-protector-strong' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES XWIDGETS LIBSYSTEMD

Important settings:
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: de_DE.UTF-8
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting xwidget-internal move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 97353 5993)
 (symbols 48 20251 0)
 (miscs 40 164 129)
 (strings 32 17990 4454)
 (string-bytes 1 571247)
 (vectors 16 14471)
 (vector-slots 8 454941 4629)
 (floats 8 185 67)
 (intervals 56 229 0)
 (buffers 976 11))